// This file is released under the 3-clause BSD license. See COPYING-BSD.

function buildmacros()
    macros_path = get_absolute_file_path("buildmacros.sce");

    blocks = ["EUL2T", "RPY2T", "T2EUL", "T2RPY", "T2ZYZ", "XYZ2T", "ZYZ2T", "tr2xyz_if", "jtraj_if", "accel_if", "fkine_if", "ijacob_if", "ikine6s_if", "ikine_if", "jacob0_if", "jacobn_if", "plot_if", "rne_if", "robot_if", "tr2diff_if"];

    tbx_build_macros(TOOLBOX_NAME, macros_path);
    tbx_build_blocks(toolbox_dir, blocks);
    //tbx_build_pal_loader(TOOLBOX_TITLE, blocks, toolbox_dir, macros_path)
endfunction

buildmacros();
clear buildmacros; // remove buildmacros on stack
// 
